from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XEncryptionProtectedSource2(XEncryptionProtectedSource, Protocol):
    def hasEncryptionData(self) -> bool: ...
